Apache Tomcat 7.0.42

## org.apache.catalina.deploy
Class InjectionTarget

    java.lang.Object
      org.apache.catalina.deploy.InjectionTarget

    public class InjectionTarget

extends Object

Version:
  $Id: InjectionTarget.java 1057677 2011-01-11 14:57:17Z markt $

Constructor Summary
`InjectionTarget()`
`InjectionTarget(String targetClass, String targetName)`

Method Summary
`String` `getTargetClass()`
`String` `getTargetName()`
`void` `setTargetClass(String targetClass)`
`void` `setTargetName(String targetName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InjectionTarget

    public InjectionTarget()

### InjectionTarget

    public InjectionTarget(String targetClass,
                           String targetName)

Method Detail

### getTargetClass

    public String getTargetClass()

### setTargetClass

    public void setTargetClass(String targetClass)

### getTargetName

    public String getTargetName()

### setTargetName

    public void setTargetName(String targetName)

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.